<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:aop="http://www.springframework.org/schema/aop" xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:util="http://www.springframework.org/schema/util"
       xmlns:configurator="http://cocoon.apache.org/schema/configurator"
       xsi:schemaLocation="http://www.springframework.org/schema/beans   http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       				    http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-2.5.xsd
       				    http://www.springframework.org/schema/aop 	  http://www.springframework.org/schema/aop/spring-aop-2.5.xsd
       				    http://www.springframework.org/schema/tx 	  http://www.springframework.org/schema/tx/spring-tx-2.5.xsd
       				    http://www.springframework.org/schema/util    http://www.springframework.org/schema/util/spring-util-2.5.xsd
       				    http://cocoon.apache.org/schema/configurator  http://cocoon.apache.org/schema/configurator/cocoon-configurator-2.0.0.xsd">

    <bean name="mdwsConfiguration"
		class="com.agilex.healthcare.schedulingmanager.mdws.connection.MdwsConfiguration">
  		<constructor-arg value="http://192.168.25.149/LVMdwsTest/" />
		<constructor-arg value="EmrSvc.asmx" />
		<constructor-arg value="120000" />
		<constructor-arg value="120000" />
		<constructor-arg ref="vistaSites" />
	</bean>
	
	<bean id="mdwsSchedulingConfiguration" class="com.agilex.healthcare.schedulingmanager.mdws.connection.MdwsConfiguration" lazy-init="true">
		<constructor-arg value="http://192.168.25.149/LVMdwsTest/" />
		<constructor-arg value="SchedulingSvc.asmx" />
		<constructor-arg value="120000" />
		<constructor-arg value="120000" />
        <constructor-arg ref="vistaSites" />
    </bean>

	<configurator:settings runningMode="mdws_test">
		<configurator:include-beans 	 dir="classpath*:/spring/mdws_test" />
		<configurator:include-properties dir="classpath*:/spring/properties" />
	</configurator:settings>
</beans>
